/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
dojo.provide("com.ibm.rational.report.web.core.app.internal.Session");

dojo.require("net.jazz.ajax.toolbox.lang.internal.Lang");

(function() {

	var userProfileLink = new Object();

	/**
	 * Returns the User Profile link.
	 * 
	 * @since 0.5
	 */
	function getUserProfileLink() {
		return userProfileLink;
	}

	com.ibm.rational.report.web.core.app.internal.Session.getUserProfileLink = getUserProfileLink;	
	
	/**
	 * Sets the User Profile link.
	 * 
	 * @since 0.5
	 */
	function setUserProfileLink(link) {
		userProfileLink = link;
	}
	
	com.ibm.rational.report.web.core.app.internal.Session.setUserProfileLink = setUserProfileLink;

})();